{
    attributes = (
        {
            columnName = "chb_etat"; 
            externalType = VARCHAR2; 
            name = chbEtat; 
            valueClassName = NSString; 
            valueType = S; 
            width = 20; 
        }, 
        {
            allowsNull = Y; 
            columnName = "chb_libelle"; 
            externalType = VARCHAR2; 
            name = chbLibelle; 
            valueClassName = NSString; 
            valueType = S; 
            width = 200; 
        }, 
        {
            columnName = "chb_Montant"; 
            externalType = NUMBER; 
            internalInfo = {"_nameInObjectStore" = "mab_Montant"; }; 
            name = chbMontant; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            allowsNull = Y; 
            columnName = "chb_Operation"; 
            externalType = VARCHAR2; 
            name = chbOperation; 
            valueClassName = NSString; 
            valueType = S; 
            width = 50; 
        }, 
        {
            columnName = "chb_ORDRE"; 
            externalType = NUMBER; 
            internalInfo = {"_nameInObjectStore" = "MAB_ORDRE"; }; 
            name = chbOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "chb_Sens"; 
            externalType = VARCHAR2; 
            internalInfo = {"_nameInObjectStore" = "mab_Sens"; }; 
            name = chbSens; 
            valueClassName = NSString; 
            valueType = S; 
            width = 10; 
        }, 
        {
            columnName = "che_ordre"; 
            externalType = NUMBER; 
            internalInfo = {"_nameInObjectStore" = "MAN_ID"; }; 
            name = cheOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "ECR_ORDRE"; 
            externalType = NUMBER; 
            name = ecdOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "EXE_ORDRE"; 
            externalType = NUMBER; 
            name = exeOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "ges_Code"; 
            externalType = VARCHAR2; 
            name = gesCode; 
            valueClassName = NSString; 
            valueType = S; 
            width = 10; 
        }, 
        {
            columnName = "PCO_NUM"; 
            externalType = VARCHAR2; 
            name = pcoNum; 
            valueClassName = NSString; 
            valueType = S; 
            width = 20; 
        }
    ); 
    attributesUsedForLocking = (
        chbEtat, 
        chbLibelle, 
        chbOperation, 
        chbOrdre, 
        chbSens, 
        cheOrdre, 
        ecdOrdre, 
        exeOrdre, 
        gesCode, 
        pcoNum
    ); 
    className = "org.cocktail.maracuja.server.metier.EOChequeBrouillard"; 
    classProperties = (
        chbEtat, 
        chbLibelle, 
        chbMontant, 
        chbOperation, 
        chbSens, 
        cheque, 
        ecritureDetail, 
        exercice, 
        gestion, 
        planComptable
    ); 
    externalName = "maracuja.cheque_Brouillard"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (
            chbEtat, 
            chbLibelle, 
            chbMontant, 
            chbOperation, 
            chbSens, 
            cheque, 
            ecritureDetail, 
            exercice, 
            gestion, 
            planComptable
        ); 
        "_javaClientClassName" = "org.cocktail.maracuja.client.metier.EOChequeBrouillard"; 
    }; 
    name = ChequeBrouillard; 
    primaryKeyAttributes = (chbOrdre); 
    relationships = (
        {
            destination = Cheque; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = cheOrdre; sourceAttribute = cheOrdre; }); 
            name = cheque; 
        }, 
        {
            destination = EcritureDetail; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = ecdOrdre; sourceAttribute = ecdOrdre; }); 
            name = ecritureDetail; 
        }, 
        {
            destination = Exercice; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = exeOrdre; sourceAttribute = exeOrdre; }); 
            name = exercice; 
        }, 
        {
            destination = Gestion; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = gesCode; sourceAttribute = gesCode; }); 
            name = gestion; 
        }, 
        {
            destination = PlanComptable; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = pcoNum; sourceAttribute = pcoNum; }); 
            name = planComptable; 
        }
    ); 
}
